package main

import fmt "fmt"

func client(hbChan chan string, quitChan chan<- string){
   hbChan <-"Ping"
   switch msg := <-hbChan;{
      case msg == "Pong":
         fmt.Printf("Client: Got my Pong!\n")
      default:
         fmt.Printf("Unknown message")
   }
   quitChan <- "Done\n"
}

func server(hbChan chan string){
   switch msg := <-hbChan; {
      case msg == "Ping":
         fmt.Printf("Server: Received a Ping!\n")
         hbChan <- "Pong"
      default:
         fmt.Printf("Unknown message")       
   }
}

func main() {
    var hbChan = make(chan string)
    var quitChan = make(chan string)
    go server(hbChan)	
    go client(hbChan, quitChan)
    fmt.Printf(<-quitChan)
}
