import scala.concurrent.stm._

object STMExample extends App {
  val x = Ref(0)
  atomic { implicit txn =>
      if((x() % 2) == 0){
          println("x is even: " + x())
          retry
      }
  } orAtomic { implicit txn =>
    x() = x() + 1
    println("x is currently: " + x())
  }
}
